package com.greenbird.test.coverage;

import com.greenbird.test.GreenbirdTestException;

import java.lang.reflect.Constructor;

public class CoverageUtil {
    private CoverageUtil() {
        // NOP
    }

    public static void callPrivateDefaultConstructor(Class<?> clazz) {
        try {
            Constructor<?> constructor = clazz.getDeclaredConstructor();
            constructor.setAccessible(true);
            constructor.newInstance();
        } catch (Exception e) {
            throw new GreenbirdTestException(e);
        }
    }
}
