package com.greenbird.test.matchers;

import org.hamcrest.Matcher;

public class GreenbirdMatchers {
    public static Matcher<Throwable> causedBy(Class<? extends Throwable> expectedWrapperType, Throwable expectedCause) {
        return new CausedByMatcher(expectedWrapperType, expectedCause);
    }

    public static Matcher<Throwable> causedBy(Class<? extends Throwable> expectedWrapperType, Class<? extends Throwable> expectedCauseType) {
        return new CausedByMatcher(expectedWrapperType, expectedCauseType);
    }

}
