package com.greenbird.test.web;

public class HttpResponseStub {
    private int statusCode;
    private String content;
    private String contentType;

    public HttpResponseStub(String content) {
        this(200, content, "text/xml");
    }

    public HttpResponseStub(int statusCode, String content, String contentType) {
        this.statusCode = statusCode;
        this.content = content;
        this.contentType = contentType;
    }

    public int getStatusCode() {
        return statusCode;
    }

    public String getContent() {
        return content;
    }

    public String getContentType() {
        return contentType;
    }
}
